com.opensymphony.xwork2.util.reflection

## Class ReflectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.opensymphony.xwork2.XWorkException
        - - com.opensymphony.xwork2.util.reflection.ReflectionException

- All Implemented Interfaces:
    Locatable, Serializable

      public class ReflectionException
      extends XWorkException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionException()`
    `ReflectionException(String s)`
    `ReflectionException(String s, Object target)`
    `ReflectionException(String s, Throwable cause)`
    `ReflectionException(String s, Throwable cause, Object target)`
    `ReflectionException(Throwable cause)`
    `ReflectionException(Throwable cause, Object target)`

  - ### Method Summary

    - ### Methods inherited from class com.opensymphony.xwork2.XWorkException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionException

          public ReflectionException()

    - #### ReflectionException

          public ReflectionException(String s)

    - #### ReflectionException

          public ReflectionException(String s,
                                     Object target)

    - #### ReflectionException

          public ReflectionException(Throwable cause)

    - #### ReflectionException

          public ReflectionException(Throwable cause,
                                     Object target)

    - #### ReflectionException

          public ReflectionException(String s,
                                     Throwable cause)

    - #### ReflectionException

          public ReflectionException(String s,
                                     Throwable cause,
                                     Object target)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.